Subject: Re: bug#42657: emacs-27.1-rc1 and Asan findings

From: Paul Eggert <[email-masked]>
Date: Mon, 17 Aug 2020 16:43:59 -0700

> How does one tell the good leaks from the bad leaks?

In Emacs 27 please don't bother, as nobody had gotten around to marking leaks. 
Since this bug report is about Emacs 27 I'm taking the liberty of closing it.

In the master branch we have marked leaks. I just built it with ./configure 
CC='gcc -fsanitize=address' and 'make check' worked for me on Fedora 31 x86-64. 
If you find a leak I suggest deciding whether the leak is worth worrying about 
and then either plugging the leak or marking it as OK.